Bug 1750228 - [geo-rep]: Non-root - Unable to set up mountbroker root directory and group
Summary: [geo-rep]: Non-root - Unable to set up mountbroker root directory and group
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: geo-replication
Version: 6
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Sunny Kumar
QA Contact:
URL:
Whiteboard:
Depends On: 1709248 1750230
Blocks: 1708043
TreeView+ depends on / blocked
 
Reported: 2019-09-09 06:08 UTC by Sunny Kumar
Modified: 2019-09-27 11:33 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1709248
Environment:
Last Closed: 2019-09-27 11:33:21 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Gluster.org Gerrit 23388 0 None Merged geo-rep : fix mountbroker setup 2019-09-27 11:33:20 UTC

Description Sunny Kumar 2019-09-09 06:08:34 UTC
+++ This bug was initially created as a clone of Bug #1709248 +++

+++ This bug was initially created as a clone of Bug #1708043 +++

Description of problem:
========================
# gluster-mountbroker setup /var/mountbroker-root geogroup

Traceback (most recent call last):
  File "/usr/sbin/gluster-mountbroker", line 396, in <module>
    runcli()
  File "/usr/lib/python2.7/site-packages/gluster/cliutils/cliutils.py", line 225, in runcli
    cls.run(args)
  File "/usr/sbin/gluster-mountbroker", line 230, in run
    args.group])
  File "/usr/lib/python2.7/site-packages/gluster/cliutils/cliutils.py", line 127, in execute_in_peers
    raise GlusterCmdException((rc, out, err, " ".join(cmd)))
gluster.cliutils.cliutils.GlusterCmdException: (1, '', 'Unable to end. Error : Success\n', 'gluster system:: execute mountbroker.py node-setup /var/mountbroker-root geogroup')


Version-Release number of selected component (if applicable):


How reproducible:
=================
Always


Steps to Reproduce:
====================
1. Create a master and slave volume
2. Create groups on all slaves - geogroup
3. Add user to the group created on all slaves - geoaccount
4. Set up mountbroker root directory and group
5. Add slave vol and user to the mountbroker service

Actual results:
===============
Unable to set up the mountbroker root directory and group successfully

Expected results:
=================
Should be able to set up mountbroker root directory and group successfully.
Should be able to add slave vol and user to the mountbroker service

--- Additional comment from Worker Ant on 2019-05-13 09:32:23 UTC ---

REVIEW: https://review.gluster.org/22716 (geo-rep : fix mountbroker setup) posted (#1) for review on master by Sunny Kumar

--- Additional comment from Worker Ant on 2019-06-12 04:17:48 UTC ---

REVIEW: https://review.gluster.org/22716 (geo-rep : fix mountbroker setup) merged (#13) on master by Amar Tumballi

Comment 1 Sunny Kumar 2019-09-09 06:12:49 UTC
Upstream Patch:

https://review.gluster.org/#/c/glusterfs/+/23388/.

Comment 2 Worker Ant 2019-09-09 06:12:55 UTC
REVIEW: https://review.gluster.org/23388 (geo-rep : fix mountbroker setup) posted (#1) for review on release-6 by Sunny Kumar

Comment 3 Worker Ant 2019-09-27 11:33:21 UTC
REVIEW: https://review.gluster.org/23388 (geo-rep : fix mountbroker setup) merged (#4) on release-6 by hari gowtham


Note You need to log in before you can comment on or make changes to this bug.